// Copyright 1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import <Foundation/Foundation.h>

@class ONSocketStream;
@class CCTransaction;

@interface CCConnection : NSObject
{
    ONSocketStream *socketStream;
}

+ (CCConnection *)sharedConnection;

- (NSMutableDictionary *)parseResult:(NSString *)resultString;
- (NSMutableDictionary *)sendMessageWithType:(NSString *)type
                                  parameters:(NSDictionary *)parameters;

- (CCTransaction *)captureCreditCardTransaction:(CCTransaction *)transaction;

@end
